Bug 198275 - Uninstalling the rss-glx-screensavers made all the screensavers in KDesktop menu dissapear.
Uninstalling the rss-glx-screensavers made all the screensavers in KDesktop m...
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-10 16:00 EDT by Craig Pemberton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-13 08:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Craig Pemberton 2006-07-10 16:00:23 EDT
Description of problem: Uninstalling the rss-glx-screensavers made all the
screensavers in KDesktop menu dissapear.

Version-Release number of selected component (if applicable):

How reproducible: Install and uninstall rss-glx-screensavers using yum.

Steps to Reproduce:
1. yum install rss-glx-sceensavers
2. yum remove rss-glx-screensavers
3. right click on desktop in KDE, go to configure desktop->screen saver

Actual results:
Only random and blank are avaliable.

Expected results:
All standard screensavers I had previously should be avaliable.

Additional info:
Comment 1 Nils Philippsen 2006-07-12 08:03:12 EDT
All rss-glx* packages only contain a bunch of files so I don't see why
installing and removing these should affect KDE screensavers. Have you checked
whether the original KDE screensaver desktop files are still present in
/usr/share/applnk/System/ScreenSavers and/or your kdebase/kdeartwork packages
are installed correctly?
Comment 2 Craig Pemberton 2006-07-12 13:20:04 EDT
Package kdeartwork was not installed. I don't recall removing it at all!

I reinstalled kdeartwork and all my screensavers showed up. This is odd because
xscreensaver-base and xscreensaver-extras screensavers appeared, which were
never uninstalled.

I reinstalled glx-screensavers and reuninstalled it and my screensavers were fine.

I'm sorry. This is VERY weird. I swear they dissapeared *immediately* after I
unistalled these packages. I removed the gl screensavers because my computer
could not handle them. Like I said I do not recall uninstalling kdeartwork and
cannot fathom why I would have wanted to. I must be going nuts . . .
Comment 3 Nils Philippsen 2006-07-13 08:34:30 EDT
Blame it on the heat ;-).

Note You need to log in before you can comment on or make changes to this bug.